<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.text.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.layout.GridPane?>

<GridPane maxHeight="1080.0" maxWidth="1920.0" minHeight="-Infinity" minWidth="-Infinity" prefHeight="800.0" prefWidth="1280.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="view.controllers.AlternativeProfessorSceneController">
  <columnConstraints>
    <ColumnConstraints hgrow="SOMETIMES" maxWidth="105.0" minWidth="105.0" prefWidth="105.0" />
    <ColumnConstraints hgrow="SOMETIMES" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="130.0" minWidth="130.0" prefWidth="130.0" />
  </columnConstraints>
  <rowConstraints>
    <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
  </rowConstraints>
   <children>
      <GridPane fx:id="raspored" style="-fx-background-color: #FFFFFF;" GridPane.columnIndex="1">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="104.0" minWidth="10.0" prefWidth="104.0" />
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
        </columnConstraints>
        <rowConstraints>
            <RowConstraints maxHeight="80.0" minHeight="80.0" prefHeight="80.0" vgrow="NEVER" />
          <RowConstraints maxHeight="720.0" minHeight="720.0" prefHeight="720.0" vgrow="NEVER" />
        </rowConstraints>
         <children>
            <GridPane style="-fx-background-color: #FFFFFF;" GridPane.columnIndex="1">
              <columnConstraints>
                  <ColumnConstraints hgrow="SOMETIMES" />
                  <ColumnConstraints hgrow="SOMETIMES" />
                  <ColumnConstraints hgrow="SOMETIMES" />
                  <ColumnConstraints hgrow="SOMETIMES" />
                <ColumnConstraints hgrow="SOMETIMES" />
                <ColumnConstraints hgrow="SOMETIMES" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="1">
                     <children>
                        <Label fx:id="lblDateUto" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                        <Label text="UTO" GridPane.halignment="CENTER" />
                     </children>
                     <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                     <padding>
                        <Insets left="2.0" right="2.0" />
                     </padding>
                  </GridPane>
                  <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="2">
                     <children>
                        <Label fx:id="lblDateSri" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                        <Label text="SRI" GridPane.halignment="CENTER" />
                     </children>
                     <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                     <padding>
                        <Insets left="2.0" right="2.0" />
                     </padding>
                  </GridPane>
                  <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="3">
                     <children>
                        <Label fx:id="lblDateCet" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                        <Label text="CET" GridPane.halignment="CENTER" />
                     </children>
                     <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                     <padding>
                        <Insets left="2.0" right="2.0" />
                     </padding>
                  </GridPane>
                  <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="4">
                     <children>
                        <Label fx:id="lblDatePet" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                        <Label text="PET" GridPane.halignment="CENTER" />
                     </children>
                     <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                     <padding>
                        <Insets left="2.0" right="2.0" />
                     </padding>
                  </GridPane>
                  <GridPane style="-fx-background-color: #EFEFEF;" GridPane.columnIndex="5">
                     <children>
                        <Label fx:id="lblDateSub" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                        <Label text="SUB" GridPane.halignment="CENTER" />
                     </children>
                     <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                     <padding>
                        <Insets left="2.0" right="2.0" />
                     </padding>
                  </GridPane>
                  <GridPane style="-fx-background-color: #EFEFEF;">
                     <children>
                        <Label fx:id="lblDatePon" text="DATUM" GridPane.halignment="CENTER" GridPane.rowIndex="1" />
                        <Label text="PON" GridPane.halignment="CENTER" />
                     </children>
                     <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                     <GridPane.margin>
                        <Insets />
                     </GridPane.margin>
                     <padding>
                        <Insets left="2.0" right="2.0" />
                     </padding>
                  </GridPane>
               </children>
            </GridPane>
            <GridPane layoutX="114.0" layoutY="10.0" style="-fx-background-color: #FFFFFF;" GridPane.columnIndex="1" GridPane.rowIndex="1">
               <columnConstraints>
                  <ColumnConstraints hgrow="NEVER" />
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
                  <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" />
               </columnConstraints>
               <rowConstraints>
                  <RowConstraints maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" vgrow="NEVER" />
               </rowConstraints>
               <children>
                  <ScrollPane fx:id="scrollPaneUto" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" prefWidth="161.0" style="-fx-background-color: #FFFFFF;" vbarPolicy="NEVER" vmax="0.0" GridPane.columnIndex="1">
                     <content>
                        <HBox fx:id="hboxUto" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" style="-fx-background-color: #FFFFFF;" />
                     </content>
                  </ScrollPane>
                  <ScrollPane fx:id="scrollPaneSri" fitToHeight="true" layoutX="171.0" layoutY="10.0" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" prefWidth="161.0" style="-fx-background-color: #FFFFFF;" vbarPolicy="NEVER" vmax="0.0" GridPane.columnIndex="2">
                     <content>
                        <HBox fx:id="hboxSri" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" style="-fx-background-color: #FFFFFF;" />
                     </content>
                  </ScrollPane>
                  <ScrollPane fx:id="scrollPaneCet" fitToHeight="true" layoutX="332.0" layoutY="10.0" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" prefWidth="161.0" style="-fx-background-color: #FFFFFF;" vbarPolicy="NEVER" vmax="0.0" GridPane.columnIndex="3">
                     <content>
                        <HBox fx:id="hboxCet" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" style="-fx-background-color: #FFFFFF;" />
                     </content>
                  </ScrollPane>
                  <ScrollPane fx:id="scrollPanePet" fitToHeight="true" layoutX="332.0" layoutY="10.0" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" prefWidth="161.0" style="-fx-background-color: #FFFFFF;" vbarPolicy="NEVER" vmax="0.0" GridPane.columnIndex="4">
                     <content>
                        <HBox fx:id="hboxPet" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" style="-fx-background-color: #FFFFFF;" />
                     </content>
                  </ScrollPane>
                  <ScrollPane fx:id="scrollPaneSub" fitToHeight="true" layoutX="171.0" layoutY="10.0" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" prefWidth="161.0" style="-fx-background-color: #FFFFFF;" vbarPolicy="NEVER" vmax="0.0" GridPane.columnIndex="5">
                     <content>
                        <HBox fx:id="hboxSub" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" style="-fx-background-color: #FFFFFF;" />
                     </content>
                  </ScrollPane>
                  <ScrollPane fx:id="scrollPanePon" layoutX="171.0" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" prefWidth="161.0" style="-fx-background-color: #FFFFFF;" vbarPolicy="NEVER" vmax="0.0">
                     <content>
                        <HBox fx:id="hboxPon" maxHeight="-Infinity" minHeight="-Infinity" prefHeight="720.0" style="-fx-background-color: #FFFFFF;" />
                     </content>
                  </ScrollPane>
               </children>
            </GridPane>
            <GridPane style="-fx-background-color: #FFFFFF;" GridPane.rowIndex="1">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="8:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="1">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="9:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="2">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="10:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="3">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="11:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="4">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="12:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="5">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="13:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="6">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="14:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="7">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="15:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="8">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="16:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="9">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="17:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="10">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="18:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
                  <Pane prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #666666;" GridPane.rowIndex="11">
                     <children>
                        <Label layoutX="7.0" layoutY="7.0" text="19:00" textFill="WHITE" />
                     </children>
                     <GridPane.margin>
                        <Insets bottom="2.0" top="2.0" />
                     </GridPane.margin>
                  </Pane>
               </children>
            </GridPane>
            <VBox>
               <children>
                  <Label text="Dobrodosao" />
                  <Label fx:id="lblUsername" wrapText="true" />
               </children>
            </VBox>
         </children>
      </GridPane>
      <VBox prefHeight="200.0" prefWidth="100.0" style="-fx-background-color: #FFFFFF;">
         <children>
            <Button fx:id="btnLogout" mnemonicParsing="false" onAction="#handleButtonLogout" prefHeight="25.0" prefWidth="123.0" text="Odjava">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Button>
            <Button fx:id="btnReservation" mnemonicParsing="false" onAction="#handleButtonReservation" prefHeight="25.0" prefWidth="123.0" text="Rezervacija">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Button>
            <Button fx:id="btnIzvjestaj" mnemonicParsing="false" onAction="#handleButtonIzvjestaj" prefHeight="25.0" prefWidth="123.0" text="Izvjestaj">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Button>
         </children>
         <padding>
            <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
         </padding>
      </VBox>
      <VBox prefHeight="200.0" prefWidth="100.0" style="-fx-background-color: #FFFFFF;" GridPane.columnIndex="2">
         <children>
            <Label text="SEDMICA">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <DatePicker fx:id="datePicker" onAction="#handleDatePicker" showWeekNumbers="true">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></DatePicker>
            <Label text="FILTERI">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <Label text="Zgrada">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterBuilding" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <Label text="Sala">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterClassroom" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <Label text="Profesor">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterProfessor" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <Label text="Semestar">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterSemester" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <Label text="Godina">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterYear" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <Label text="Predmet">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterSubject" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <Label text="Grupa">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></Label>
            <ChoiceBox fx:id="filterGroup" onAction="#handleFilterProfessor" prefWidth="150.0">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></ChoiceBox>
            <CheckBox fx:id="toggleShowReservations" mnemonicParsing="false" onAction="#handleToggleShowReservations" selected="true" text="Prikazi rezervacije" wrapText="true">
               <VBox.margin>
                  <Insets bottom="2.0" left="2.0" right="2.0" top="2.0" />
               </VBox.margin></CheckBox>
         </children>
         <padding>
            <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
         </padding>
      </VBox>
   </children>
</GridPane>
